=== debian/changelog ===
smb4k (1.1.2-1) unstable; urgency=low

  * New upstream release
    - Fixes "CVE-2014-2581 - credentials cache leak" (Closes: #742816)
    - Fixes "[smb4k] Doesn't automount shares anymore" (Closes: #710933)
    - Fixes "smb4k does not work on Version 7.1 (wheezy) 32 bits, can't open
    the network" (Closes: #717497)

 -- Mark Purcell <msp@debian.org>  Sun, 15 Jun 2014 16:27:38 +1000
