=== debian/control ===
Source: smb4k
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: cmake (>= 2.8.0),
               debhelper (>= 9),
               kdelibs5-dev (>= 4:4.4.0),
               pkg-kde-tools (>= 0.6.4)
Standards-Version: 3.9.5
Homepage: http://smb4k.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/smb4k/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/smb4k/trunk/

Package: smb4k
Architecture: kfreebsd-any linux-any
Depends: cifs-utils (>= 2:4.1) [linux-any] | freebsd-smbfs [kfreebsd-any],
         samba-common-bin (>= 2:3.4.7~dfsg),
         smbclient (>= 2:3.4.7~dfsg),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: sudo
Suggests: kwalletmanager
Description: Samba (SMB) share advanced browser for KDE
 Smb4K is an advanced network neighborhood browser for the KDE Software
 Compilation and a frontend to the programs of the Samba software suite.
 .
 Features:
  Scanning for (active) workgroups, hosts, and shares
  Support of the CIFS (Linux) and SMBFS (FreeBSD) file system
  Mounting and unmounting of shares (using the KAuth framework)
  Access to the files of a mounted share using a file manager or terminal
  Auto-detection of external mounts and unmounts
  Remounting of previously used shares on program start
  Miscellaneous infos about remote network items and mounted shares
  Network search
  WINS server support
  Preview of the contents of a share
  Several methods to look up the initial list of workgroups and domains
  Default login
  Special handling of homes shares
  Ability to bookmark favorite shares and organize them in groups
  System tray widget
  Support of advanced Samba options
  Support of printer shares
  KWallet support
  Synchronization of a remote share with a local copy and vice versa
  Ability to define custom options for individual servers and shares
  Laptop support through the Solid hardware device framework
