=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_PLASMOID=false
