=== debian/watch ===
version=3
http://sf.net/smb4k/smb4k-(.+)\.(?:tar\.xz) debian svn-upgrade
