## smb4k 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 project( smb4k )
 
 set( VERSION_MAJOR 1 )
-set( VERSION_MINOR 1 )
-set( VERSION_PATCH 2 )
+set( VERSION_MINOR 2 )
+set( VERSION_PATCH 1 )
 
 set( VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH} )
 
-cmake_minimum_required( VERSION 2.6 )
+cmake_minimum_required( VERSION 2.8.9 FATAL_ERROR )
 
 set( QT_MIN_VERSION 4.7.0 )
 set( KDE_MIN_VERSION 4.8.0 ) 
@@ -18,9 +18,11 @@
 include(ConvenienceLibs.cmake)
 include(ConfigureChecks.cmake)
 
-# Disallow in-source builds
-# macro_ensure_out_of_source_build( "Smb4K requires an out of source build. Please create a separate build directory and
-# run 'cmake [options] <path_to_source_directory>' there." )
+# Make sure that Smb4K builds when several custom targets
+# with the same name exist (happens in the po directory).
+if ( EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po" )
+  set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS ON)
+endif( EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po" )
 
 add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
