=== core/CMakeLists.txt ===
--- 
+++ 
@@ -28,11 +28,15 @@
   smb4kmounter_p.cpp
   smb4knetworkobject.cpp
   smb4knotification.cpp
+  smb4knotification_p.cpp
   smb4kpreviewer.cpp
   smb4kpreviewer_p.cpp
   smb4kprint.cpp
   smb4kprint_p.cpp
   smb4kprocess.cpp
+  smb4kprofilemanager.cpp
+  smb4kprofilemanager_p.cpp
+  smb4kprofileobject.cpp
   smb4kscanner.cpp
   smb4kscanner_p.cpp
   smb4ksearch.cpp
@@ -46,7 +50,15 @@
   smb4kwalletmanager_p.cpp
   smb4kworkgroup.cpp )
 
-kde4_add_kcfg_files( smb4kcore_LIB_SRCS smb4ksettings.kcfgc )
+if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
+  kde4_add_kcfg_files(smb4kcore_LIB_SRCS smb4ksettings.kcfgc smb4kmountsettings_linux.kcfgc)
+elseif(${CMAKE_HOST_SYSTEM_NAME} MATCHES "FreeBSD")
+  kde4_add_kcfg_files(smb4kcore_LIB_SRCS smb4ksettings.kcfgc smb4kmountsettings_freebsd.kcfgc)
+elseif(${CMAKE_HOST_SYSTEM_NAME} MATCHES "NetBSD")
+  kde4_add_kcfg_files(smb4kcore_LIB_SRCS smb4ksettings.kcfgc smb4kmountsettings_freebsd.kcfgc)
+else ()
+  kde4_add_kcfg_files( smb4kcore_LIB_SRCS smb4ksettings.kcfgc )
+endif ()
 
 kde4_add_library( smb4kcore SHARED ${smb4kcore_LIB_SRCS} )
 
@@ -60,7 +72,7 @@
   ${KDE4_KIO_LIBS}
   ${KDE4_SOLID_LIBS} )
 
-set_target_properties( smb4kcore PROPERTIES VERSION 4.1.0 SOVERSION 4 )
+set_target_properties( smb4kcore PROPERTIES VERSION 4.2.0 SOVERSION 4 )
 install( TARGETS smb4kcore DESTINATION ${LIB_INSTALL_DIR} )
 
 
@@ -88,6 +100,8 @@
     smb4kpreviewer.h
     smb4kprint.h
     smb4kprocess.h
+    smb4kprofilemanager.h
+    smb4kprofileobject.h
     smb4kscanner.h
     smb4ksearch.h
     smb4kshare.h
