=== doc-translations/CMakeLists.txt ===
add_subdirectory( de_smb4k/smb4k )
add_subdirectory( et_smb4k/smb4k )
add_subdirectory( nl_smb4k/smb4k )
add_subdirectory( pt_BR_smb4k/smb4k )
add_subdirectory( uk_smb4k/smb4k )
