=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 add_subdirectory( bg )
 add_subdirectory( bs )
 add_subdirectory( ca )
+add_subdirectory( ca@valencia )
 add_subdirectory( cs )
 add_subdirectory( da )
 add_subdirectory( de )
@@ -16,12 +17,14 @@
 add_subdirectory( is )
 add_subdirectory( it )
 add_subdirectory( ja )
+add_subdirectory( ko )
 add_subdirectory( lt )
 add_subdirectory( mai )
 add_subdirectory( mr )
 add_subdirectory( nb )
 add_subdirectory( nds )
 add_subdirectory( nl )
+add_subdirectory( nn )
 add_subdirectory( pl )
 add_subdirectory( pt )
 add_subdirectory( pt_BR )
