=== smb4k/configdlg/CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,9 @@
    smb4kauthoptionspage.cpp
    smb4kconfigdialog.cpp
    smb4kcustomoptionspage.cpp
-   smb4klaptopsupportoptionspage.cpp
+   smb4kmountoptionspage.cpp
    smb4knetworkoptionspage.cpp
+   smb4kprofilespage.cpp
    smb4krsyncoptionspage.cpp
    smb4ksambaoptionspage.cpp
    smb4kshareoptionspage.cpp
