=== debian/changelog ===
smb4k (1.2.1-2~deb8u1) jessie-security; urgency=high

  * Non-maintainer upload.
  * Backport version 1.2.1-2 from Stretch and fix CVE-2017-8849.
    Previous versions of smb4k allowed local users to gain root privileges by
    leveraging failure to verify arguments to the mount helper DBUS service.

 -- Markus Koschany <apo@debian.org>  Sun, 20 Aug 2017 23:05:31 +0200

smb4k (1.2.1-2) unstable; urgency=medium

  * Team upload.
  * Cherry pick "Find the mount/umount commands in the helper"
    This fixes CVE-2017-8849 (Closes: 862505)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 15 May 2017 12:18:34 +0200

smb4k (1.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop menu file, since smb4k already provides a .desktop file.
  * Use https for the Vcs-Browser field.
  * Bump Standards-Version to 3.9.7, no changes required.
  * Improve description; also drop the reference to the Plasma widget, since
    it has never been built, and it will not work anyway in a Plasma 5
    environment. (Closes: #763624)
  * Link in as-needed mode.

 -- Pino Toscano <pino@debian.org>  Fri, 25 Mar 2016 16:23:25 +0100
