=== debian/changelog ===
smb4k (2.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev
    - add extra-cmake-modules, qtbase5-dev, qtdeclarative5-dev,
      libkf5auth-dev, libkf5completion-dev, libkf5config-dev,
      libkf5configwidgets-dev, libkf5coreaddons-dev, libkf5dbusaddons-dev,
      libkf5doctools-dev, libkf5i18n-dev, libkf5iconthemes-dev,
      libkf5jobwidgets-dev, libkf5kio-dev, libkf5notifications-dev,
      libkf5parts-dev, libkf5plasma-dev, libkf5solid-dev, libkf5wallet-dev,
      libkf5widgetsaddons-dev, libkf5windowsystem-dev, and libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Bump the cmake build dependency to 3.3, according to the upstream build
    system.
  * Pass -DINSTALL_HEADER_FILES=OFF to cmake, to make sure no header is
    installed.
  * Update the patches:
    - Find-the-mount-umount-commands-in-the-helper.patch: drop, backported
      from upstream
  * Remove the development symlinks, as they are not used.
  * Drop the translations of the Plasma widget, since it is not built.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jun 2017 13:37:19 +0200
