=== debian/control ===
--- 
+++ 
@@ -3,11 +3,32 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
-Build-Depends: cmake (>= 2.8.0),
+Build-Depends: cmake (>= 3.3),
                debhelper (>= 9),
-               kdelibs5-dev (>= 4:4.4.0),
-               pkg-kde-tools (>= 0.6.4)
-Standards-Version: 3.9.7
+               pkg-kde-tools (>= 0.15.16),
+               extra-cmake-modules,
+               qtbase5-dev,
+               qtdeclarative5-dev,
+               libkf5auth-dev,
+               libkf5completion-dev,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
+               libkf5dbusaddons-dev,
+               libkf5doctools-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5jobwidgets-dev,
+               libkf5kio-dev,
+               libkf5notifications-dev,
+               libkf5parts-dev,
+               libkf5plasma-dev,
+               libkf5solid-dev,
+               libkf5wallet-dev,
+               libkf5widgetsaddons-dev,
+               libkf5windowsystem-dev,
+               libkf5xmlgui-dev,
+Standards-Version: 3.9.8
 Homepage: http://smb4k.sourceforge.net/
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/smb4k/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/smb4k/trunk/
