=== debian/changelog ===
smb4k (2.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Lower the cmake build dependency to 3.2, as indicated by the upstream
    build system.
  * Bump Standards-Version to 4.0.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Aug 2017 13:05:08 +0200
