=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
-Build-Depends: cmake (>= 3.3),
+Build-Depends: cmake (>= 3.2),
                debhelper (>= 9),
                pkg-kde-tools (>= 0.15.16),
                extra-cmake-modules,
@@ -28,7 +28,7 @@
                libkf5widgetsaddons-dev,
                libkf5windowsystem-dev,
                libkf5xmlgui-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://smb4k.sourceforge.net/
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/smb4k/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/smb4k/trunk/
