=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kf5

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_PLASMOID=false -DINSTALL_HEADER_FILES=OFF

override_dh_auto_install:
	dh_auto_install
	# remove symlinks of private libraries
	find debian/smb4k -name '*.so' -type l -print -delete
	# remove translations of unbuilt plasma widget
	rm -f debian/smb4k/usr/share/locale/*/LC_MESSAGES/plasma_applet_smb4k-qml.mo
