## smb4k 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,28 +1,33 @@
 project(smb4k)
 
 set(VERSION_MAJOR 2)
-set(VERSION_MINOR 0)
-set(VERSION_PATCH 2)
+set(VERSION_MINOR 1)
+set(VERSION_PATCH 0)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
+# Minimum required CMake version
 cmake_minimum_required(VERSION 3.2 FATAL_ERROR)
+
+# CMake policies
 cmake_policy(SET CMP0037 NEW)
-if(POLICY CMP0063)
-  cmake_policy(SET CMP0063 NEW)
+
+if (POLICY CMP0071)
+  cmake_policy(SET CMP0071 NEW)
 endif()
+  
+# Minimum required versions of Qt5 and KF5
+set(QT_MIN_VERSION "5.5.0")
+set(KF5_MIN_VERSION "5.25.0")
 
-find_package(ECM 1.1.0 REQUIRED NO_MODULE)
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 include(FeatureSummary)
 include(ECMInstallIcons)
-
-set(QT_MIN_VERSION "5.4.0")
-set(KF5_MIN_VERSION "5.9.0")
 
 # Qt5 modules
 find_package(Qt5Core ${QT_MIN_VERSION} REQUIRED)
@@ -52,6 +57,7 @@
 find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} REQUIRED)
 find_package(KF5WindowSystem ${KF5_MIN_VERSION} REQUIRED)
 find_package(KF5XmlGui ${KF5_MIN_VERSION} REQUIRED)
+find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED) 
 
 find_package(KF5Plasma ${KF5_MIN_VERSION})
 set_package_properties(KF5Plasma PROPERTIES TYPE RUNTIME)
@@ -83,19 +89,7 @@
   endif(KF5DocTools_FOUND)
 endif(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")
 
-########### Plasmoid ####################
-
-# option(INSTALL_PLASMOID "Install plasmoid" ON)
-# 
-# if (INSTALL_PLASMOID)
-#   message(STATUS "Installing plasmoid (-DINSTALL_PLASMOID=false to disable)")
-#   add_subdirectory(plasmoid)
-# elseif (NOT INSTALL_PLASMOID)
-#   message(STATUS "Not installing plasmoid (-DINSTALL_PLASMOID=true to enable)")
-# endif(INSTALL_PLASMOID)
-
-########### Header files ################
-
+# Install the header files if desired
 option(INSTALL_HEADER_FILES "Install header files" OFF)
 
 if (INSTALL_HEADER_FILES)
@@ -104,6 +98,16 @@
   message(STATUS "Not installing core header files (-DINSTALL_HEADER_FILES=true to enable)")
 endif(INSTALL_HEADER_FILES)
 
+# Do not install the plasmoid if not desired
+option(INSTALL_PLASMOID "Install the plasmoid" ON)
+
+if (INSTALL_PLASMOID)
+  message(STATUS "Installing plasmoid (-DINSTALL_PLASMOID=false to disable)")
+  add_subdirectory(plasmoid)
+elseif(NOT INSTALL_PLASMOID)
+  message(STATUS "Not installing plasmoid (-DINSTALL_PLASMOID=true to enable)")
+endif(INSTALL_PLASMOID)
+
 ########### install files ###############
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
