=== smb4k/CMakeLists.txt ===
--- 
+++ 
@@ -129,6 +129,7 @@
   KF5::XmlGui
   KF5::Parts
   KF5::ConfigWidgets
+  KF5::Crash
   smb4kcore)
 
 ########### install files ###############
