=== debian/changelog ===
smb4k (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add new required libkf5crash-dev build dependency.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Do not ship the helper translations of the appdata file.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Make sure to call dh_auto_configure with the kf5 buildsystem.
  * Remove Fathi Boudra from Uploaders, as requested by the MIA team.
    (Closes: #879434)

 -- Pino Toscano <pino@debian.org>  Wed, 11 Apr 2018 07:45:33 +0200
