=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: kde
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
+Uploaders: Mark Purcell <msp@debian.org>,
 Build-Depends: cmake (>= 3.2),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                pkg-kde-tools (>= 0.15.16),
                extra-cmake-modules,
                qtbase5-dev,
@@ -14,6 +14,7 @@
                libkf5config-dev,
                libkf5configwidgets-dev,
                libkf5coreaddons-dev,
+               libkf5crash-dev,
                libkf5dbusaddons-dev,
                libkf5doctools-dev,
                libkf5i18n-dev,
@@ -28,7 +29,7 @@
                libkf5widgetsaddons-dev,
                libkf5windowsystem-dev,
                libkf5xmlgui-dev,
-Standards-Version: 4.0.1
+Standards-Version: 4.1.4
 Homepage: http://smb4k.sourceforge.net/
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/smb4k/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/smb4k/trunk/
