=== debian/changelog ===
smb4k (2.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Remove empty line at the end of changelog.
  * Use https in watch file, and remove the svn bits.
  * Bump Standards-Version to 4.1.5, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Jul 2018 14:12:43 +0200
