=== debian/watch ===
version=3
https://sf.net/smb4k/smb4k-(.+)\.(?:tar\.xz)
